<?php
namespace Modules\Admin\AutoProcessRulesLogs;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::$resultsPerPageList
	 */
	protected $resultsPerPageList = [5, 10, 15, 20, 25, 50, 100];

	/**
	 *
	 * {@inheritDoc}
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{
		return ListingColumns::create()

			->append(
				ListingColumn::create('idExecution')
			)
			->append(
				ListingColumn::create('idRule')
			)
			->append(
				ListingColumn::create('idTransaction')
				)
			->append(
				ListingColumn::create('message')
			)
			->append(
				ListingColumn::create('type')
			)
			->append(
				ListingColumn::create('entityType')
			)
			->append(
				ListingColumn::create('idEntity')
			)
			->append(
				ListingColumn::create('entityOperation')
			)
			->append(
				ListingColumn::create('id')
				->setSortable('ASC')
			)
		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}
}
